aboutsummaryrefslogtreecommitdiffstats
path: root/tools/tests/xen-access/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'tools/tests/xen-access/Makefile')
-rw-r--r--tools/tests/xen-access/Makefile36
1 files changed, 36 insertions, 0 deletions
diff --git a/tools/tests/xen-access/Makefile b/tools/tests/xen-access/Makefile
new file mode 100644
index 0000000000..1a7e0369fb
--- /dev/null
+++ b/tools/tests/xen-access/Makefile
@@ -0,0 +1,36 @@
+XEN_ROOT=../../..
+include $(XEN_ROOT)/tools/Rules.mk
+
+CFLAGS += -Werror
+
+INCLUDES += -I $(XEN_XC)
+INCLUDES += -I $(XEN_LIBXC)
+INCLUDES += -I $(XEN_INCLUDE)
+CFLAGS += $(INCLUDES)
+
+TARGETS-y :=
+TARGETS-$(CONFIG_X86) += xen-access
+TARGETS := $(TARGETS-y)
+
+SUBDIRS-y :=
+SUBDIRS := $(SUBDIRS-y)
+
+.PHONY: all
+all: build
+
+.PHONY: build
+build: $(TARGETS)
+ set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d; done
+
+.PHONY: clean
+clean:
+ $(RM) *.o $(TARGETS) *~ $(DEPS)
+ set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done
+
+%.o: %.c Makefile
+ $(CC) -c $(CFLAGS) -o $@ $<
+
+xen-access: %: %.o Makefile
+ $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LDLIBS_libxenctrl)
+# $(LDLIBS_libxenguest) $(LDLIBS_libxenstore)
+-include $(DEPS)